For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet files
      • POSTUpload a file
      • GETGet a file by ID
      • DELDelete a file
LogoLogo
API StatusPartner Portal
UtilitiesFiles

Get a file by ID

GET
/files/:file_id
GET
/v1/files/:file_id
$curl https://api.sandbox.monite.com/v1/files/file_id \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "file_type": "file_type",
6 "md5": "60997cbcc1a6fb2ec37d389ffa8588db",
7 "mimetype": "application/pdf",
8 "name": "timesheet.pdf",
9 "region": "eu-central-1",
10 "s3_bucket": "s3_bucket",
11 "s3_file_path": "s3_file_path",
12 "size": 120101,
13 "url": "https://bucketname.s3.amazonaws.com/path/to/timesheet.pdf"
14}

Returns the details of an existing file. To bulk fetch multiple files by their IDs, use GET /files?id__in=<ID1>&id__in=<ID2>.

Both partner tokens and entity user tokens can be used for authentication.

Was this page helpful?
Previous

Delete a file

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this file.
created_atdatetime
Date and time when this file was uploaded to or created in Monite. Timestamps follow the ISO 8601 format.
updated_atdatetime
Date and time when this file was last updated in Monite. Timestamps follow the ISO 8601 format.
file_typestring

Possible values:

  • additional_identity_documents and identity_documents - entity verification documents uploaded for payments onboarding.
  • attachments - supplementary attachments for accounts receivable invoices, quotes, and credit notes.
  • delivery_notes - auto-generated PDF versions of delivery notes.
  • einvoices_xml - e-invoice XML generated when sending e-invoices.
  • payables - payables (bills) received via email or uploaded via API.
  • receivable_signatures - images of customer signatures provided during quote acceptance.
  • receivables - auto-generated PDF versions of invoices, quotes, and credit notes.
  • zip - data export archives created by POST /data_exports.
md5string
The MD5 hash of the file.
mimetypestring

The file’s media type, for example, application/pdf or image/png.

namestring

The original file name (if available).

regionstring
Geographical region of the data center where the file is stored.
s3_bucketstring
Unused.
s3_file_pathstring
Unused.
sizeinteger
The file size in bytes.
urlstring
The URL to download the file.

Errors

401
Get Files ID Request Unauthorized Error
404
Get Files ID Request Not Found Error
422
Get Files ID Request Unprocessable Entity Error
429
Get Files ID Request Too Many Requests Error